//More information at: https://www.aeq-web.com

#include <EEPROM.h>

void setup() {
  Serial.begin(9600);
  write_byte(0, 99); //Write byte 99 to EEPROM @ address 0 | Byte = 0-255
}

void loop() {
  read_byte(0); //Read from EEPROM
  delay(1000);
}

int read_byte(int address)
{
  byte byteval = EEPROM.read(address);
  Serial.print("Read from EEPROM (Address: ");
  Serial.print(address);
  Serial.print("):");
  Serial.println(byteval);
  return byteval;
}

void write_byte(int address, byte byteval)
{
  EEPROM.update(address, byteval);
  Serial.print("Write to EEPROM (Address: ");
  Serial.print(address);
  Serial.print("):");
  Serial.println(byteval);
}
